"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "lib/ubuntu/config.sh" between
fogproject-1.5.6.tar.gz and fogproject-1.5.7.tar.gz

About: FOG is a Linux-based network computer cloning solution for Windows, Mac OSX and various Linux distributions that ties together a few open-source tools with a PHP-based web interface. FOG doesn\PKG_DESCR_TTrsquo;t use any boot disks, or CDs; everything is done via TFTP and PXE.

config.sh  (fogproject-1.5.6):config.sh  (fogproject-1.5.7)
skipping to change at line 22 skipping to change at line 22
# but WITHOUT ANY WARRANTY; without even the implied warranty of # but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details. # GNU General Public License for more details.
# #
# You should have received a copy of the GNU General Public License # You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>. # along with this program. If not, see <http://www.gnu.org/licenses/>.
# #
[[ -z $repo ]] && repo="php" [[ -z $repo ]] && repo="php"
[[ -z $packageQuery ]] && packageQuery="dpkg -l \$x | grep '^ii'" [[ -z $packageQuery ]] && packageQuery="dpkg -l \$x | grep '^ii'"
if [[ $linuxReleaseName == +(*[Bb][Ii][Aa][Nn]*) ]]; then if [[ $linuxReleaseName == +(*[Bb][Ii][Aa][Nn]*) ]]; then
if [[ $OSVersion -gt 8 ]]; then if [[ $OSVersion -gt 9 ]]; then
[[ -z $php_ver || $php_ver -le "7.0" ]] && php_ver="7.0" [[ -z $php_ver || ${php_ver%.*} -lt 7 ]] && php_ver="7.3"
[[ -z $php_verAdds ]] && php_verAdds="-$php_ver"
elif [[ $OSVersion -gt 8 ]]; then
[[ -z $php_ver || ${php_ver%.*} -lt 7 ]] && php_ver="7.0"
[[ -z $php_verAdds ]] && php_verAdds="-$php_ver" [[ -z $php_verAdds ]] && php_verAdds="-$php_ver"
else else
[[ -z $php_ver ]] && php_ver="5" [[ -z $php_ver ]] && php_ver="5"
[[ -z $php_verAdds ]] && php_verAdds="-5.6" [[ -z $php_verAdds ]] && php_verAdds="-5.6"
fi fi
elif [[ $linuxReleaseName == +(*[Uu][Bb][Uu][Nn][Tt][Uu]*|*[Mm][Ii][Nn][Tt]*) ]] ; then elif [[ $linuxReleaseName == +(*[Uu][Bb][Uu][Nn][Tt][Uu]*|*[Mm][Ii][Nn][Tt]*) ]] ; then
DEBIAN_FRONTEND=noninteractive apt-get purge -yq sysv-rc-conf >/dev/null 2>& 1 DEBIAN_FRONTEND=noninteractive apt-get purge -yq sysv-rc-conf >/dev/null 2>& 1
if [[ -z $php_ver || $php_ver != "7.1" || ( $linuxReleaseName == +(*[Uu][Bb] [Uu][Nn][Tt][Uu]*) && $OSVersion -ge 18 ) ]]; then if [[ -z $php_ver || $php_ver != "7.1" || ( $linuxReleaseName == +(*[Uu][Bb] [Uu][Nn][Tt][Uu]*) && $OSVersion -ge 18 ) ]]; then
if [[ $autoaccept != yes ]]; then if [[ $autoaccept != yes ]]; then
echo " *** Detected a potential need to reinstall apache and php fil es." echo " *** Detected a potential need to reinstall apache and php fil es."
skipping to change at line 68 skipping to change at line 71
php_verAdds="-7.2" php_verAdds="-7.2"
else else
php_ver="7.1" php_ver="7.1"
php_verAdds="-7.1" php_verAdds="-7.1"
fi fi
phpfpm="php${php_ver}-fpm" phpfpm="php${php_ver}-fpm"
phpldap="php${php_ver}-ldap" phpldap="php${php_ver}-ldap"
phpcmd="php" phpcmd="php"
libcurl="libcurl3"; libcurl="libcurl3";
[[ $OSVersion -ge 18 ]] && libcurl="libcurl4" [[ $OSVersion -ge 18 ]] && libcurl="libcurl4"
packages="apache2 build-essential cpp curl g++ gawk gcc genisoim age gzip htmldoc isc-dhcp-server isolinux lftp libapache2-mod-fastcgi libapache2 -mod-php${php_ver} libc6 $libcurl liblzma-dev m4 mysql-client mysql-server net-t ools nfs-kernel-server openssh-server $phpfpm php-gettext php${php_ver} php${php _ver}-cli php${php_ver}-curl php${php_ver}-gd php${php_ver}-json $phpldap php${p hp_ver}-mysql php${php_ver}-mysqlnd sysv-rc-conf tar tftpd-hpa tftp-hpa vsftpd w get xinetd zlib1g" packages="apache2 build-essential cpp curl g++ gawk gcc genisoim age gzip htmldoc isc-dhcp-server isolinux lftp libapache2-mod-fastcgi libapache2 -mod-php${php_ver} libc6 $libcurl liblzma-dev m4 mariadb-client mariadb-server n et-tools nfs-kernel-server openssh-server $phpfpm php-gettext php${php_ver} php$ {php_ver}-cli php${php_ver}-curl php${php_ver}-gd php${php_ver}-json $phpldap ph p${php_ver}-mysql php${php_ver}-mysqlnd sysv-rc-conf tar tftpd-hpa tftp-hpa vsft pd wget xinetd zlib1g"
apt-get clean -yq >/dev/null 2>&1 apt-get clean -yq >/dev/null 2>&1
echo "Done" echo "Done"
;; ;;
esac esac
fi fi
else else
[[ -z $php_ver ]] && php_ver=5 [[ -z $php_ver ]] && php_ver=5
[[ -z $php_verAdds ]] && php_verAdds="-5.6" [[ -z $php_verAdds ]] && php_verAdds="-5.6"
fi fi
[[ $php_ver != 5 ]] && phpcmd="php" || phpcmd="php5" [[ $php_ver != 5 ]] && phpcmd="php" || phpcmd="php5"
[[ -z $phpfpm ]] && phpfpm="php${php_ver}-fpm" [[ -z $phpfpm ]] && phpfpm="php${php_ver}-fpm"
case $linuxReleaseName in case $linuxReleaseName in
*[Uu][Bb][Uu][Nn][Tt][Uu]*|*[Bb][Ii][Aa][Nn]*|*[Mm][Ii][Nn][Tt]*) *[Uu][Bb][Uu][Nn][Tt][Uu]*|*[Bb][Ii][Aa][Nn]*|*[Mm][Ii][Nn][Tt]*)
libcurl="libcurl3"; libcurl="libcurl3";
[[ $OSVersion -ge 18 ]] && libcurl="libcurl4" [[ $OSVersion -ge 18 || ( $linuxReleaseName == +(*[Bb][Ii][Aa][Nn]*) &&
[[ -z $packages ]] && packages="apache2 build-essential cpp curl g++ gaw $OSVersion -ge 10 ) ]] && libcurl="libcurl4"
k gcc genisoimage gzip htmldoc isc-dhcp-server isolinux lftp libapache2-mod-fast [[ -z $packages ]] && packages="apache2 build-essential cpp curl g++ gaw
cgi libapache2-mod-php${php_ver} libc6 $libcurl liblzma-dev m4 mysql-client mysq k gcc genisoimage gzip htmldoc isc-dhcp-server isolinux lftp libapache2-mod-fast
l-server net-tools nfs-kernel-server openssh-server $phpfpm php-gettext php${php cgi libapache2-mod-php${php_ver} libc6 $libcurl liblzma-dev m4 mariadb-client ma
_ver} php${php_ver}-cli php${php_ver}-curl php${php_ver}-gd php${php_ver}-json $ riadb-server net-tools nfs-kernel-server openssh-server $phpfpm php-gettext php$
phpldap php${php_ver}-mysql php${php_ver}-mysqlnd sysv-rc-conf tar tftpd-hpa tft {php_ver} php${php_ver}-cli php${php_ver}-curl php${php_ver}-gd php${php_ver}-js
p-hpa vsftpd wget xinetd zlib1g" on $phpldap php${php_ver}-mysql php${php_ver}-mysqlnd sysv-rc-conf tar tftpd-hpa
tftp-hpa vsftpd wget xinetd zlib1g"
[[ -z $packageinstaller ]] && packageinstaller="apt-get -yq install -o D pkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold" [[ -z $packageinstaller ]] && packageinstaller="apt-get -yq install -o D pkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold"
[[ -z $packagelist ]] && packagelist="apt-cache pkgnames | grep" [[ -z $packagelist ]] && packagelist="apt-cache pkgnames | grep"
[[ -z $packageupdater ]] && packageupdater="apt-get -yq upgrade -o Dpkg: :Options::=--force-confdef -o Dpkg::Options::=--force-confold" [[ -z $packageupdater ]] && packageupdater="apt-get -yq upgrade -o Dpkg: :Options::=--force-confdef -o Dpkg::Options::=--force-confold"
[[ -z $packmanUpdate ]] && packmanUpdate="apt-get update" [[ -z $packmanUpdate ]] && packmanUpdate="apt-get update"
[[ -z $dhcpname ]] && dhcpname="isc-dhcp-server" [[ -z $dhcpname ]] && dhcpname="isc-dhcp-server"
[[ -z $olddhcpname ]] && olddhcpname="dhcp3-server" [[ -z $olddhcpname ]] && olddhcpname="dhcp3-server"
;; ;;
esac esac
[[ -z $langPackages ]] && langPackages="language-pack-it language-pack-en langua ge-pack-es language-pack-zh-hans" [[ -z $langPackages ]] && langPackages="language-pack-it language-pack-en langua ge-pack-es language-pack-zh-hans"
[[ $php_ver != 5 ]] && packages="$packages php${php_ver}-mbstring" [[ $php_ver != 5 ]] && packages="$packages php${php_ver}-mbstring"
 End of changes. 3 change blocks. 
11 lines changed or deleted 15 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)